建议使用以下浏览器,以获得最佳体验。 IE 9.0+以上版本 Chrome 31+ 谷歌浏览器 Firefox 30+ 火狐浏览器
请选择 进入手机版 | 继续访问电脑版
设置昵称

在此一键设置昵称,即可参与社区互动!

确定
我再想想
选择版块
标签
您还可以添加5个标签
  • 没有搜索到和“关键字”相关的标签
  • 云产品
  • 解决方案
  • 技术领域
  • 通用技术
  • 平台功能
取消

三川

发帖: 1粉丝: 0

发消息 + 关注

更新于2021年01月05日 11:43:44 199 10
直达本楼层的链接
楼主
显示全部楼层
[问题求助] 求助:mxnet-model-server==0.3 启动报错

运行mxnet-model-server,版本是0.3 系统报错如下:

OSError: /usr/local/src/python/lib/python3.6/site-packages/mxnet/libmxnet.so: cannot open shared object file: No such file or directory

使用系统ubuntu meta 20.0.4

修改过/etc/ld.so.conf,ldconfig -v 

设置过.bashrc文件中环境变量中的路径

都解决不了问题!


请问如何解决?

补充:

1、树莓派安装ubuntu meta 20.04

2、Modelarts 进行本地化部署,安装了sdk

3、在部署过程中,安装mxnet-model-server,版本0.3 ,运行mxnet-model-server服务就出现报错

OSError: /usr/local/src/python/lib/python3.6/site-packages/mxnet/libmxnet.so: cannot open shared object file: No such file or directory

4、安装mxnet-model-server=1.0版本不出现这个问题,但是安装modelarts sdk要求版本是0.3!

5、本地化部署参考了:https://bbs.huaweicloud.com/forum/thread-51740-1-1.html

举报
分享

分享文章到朋友圈

分享文章到微博

HWCloudAI

发帖: 206粉丝: 2678

发消息 + 关注

发表于2021年01月05日 10:54:54
直达本楼层的链接
沙发
显示全部楼层

请稍等,专家正在路上

点赞 评论 引用 举报

咔吧咔吧

发帖: 31粉丝: 11

发消息 + 关注

发表于2021年01月05日 11:28:02
直达本楼层的链接
板凳
显示全部楼层

产品及功能模块是什么?请按提问模板再补充一下信息

点赞 评论 引用 举报

三川

发帖: 1粉丝: 0

发消息 + 关注

发表于2021年01月05日 15:17:43
直达本楼层的链接
地板
显示全部楼层

补充:

1、树莓派安装ubuntu meta 20.04

2、Modelarts 进行本地化部署,安装了sdk

3、在部署过程中,安装mxnet-model-server,版本0.3 ,运行mxnet-model-server服务就出现报错

OSError: /usr/local/src/python/lib/python3.6/site-packages/mxnet/libmxnet.so: cannot open shared object file: No such file or directory

4、安装mxnet-model-server=1.0版本不出现这个问题,但是安装modelarts sdk要求版本是0.3!

5、本地化部署参考了:https://bbs.huaweicloud.com/forum/thread-51740-1-1.html


点赞 评论 引用 举报

咔吧咔吧

发帖: 31粉丝: 11

发消息 + 关注

发表于2021年01月05日 15:45:39
直达本楼层的链接
5#
显示全部楼层

https://support.huaweicloud.com/sdkreference-modelarts/modelarts_04_0004.html    你看看官方文档,有没有操作上的失误

点赞 评论 引用 举报

咔吧咔吧

发帖: 31粉丝: 11

发消息 + 关注

发表于2021年01月05日 16:30:34
直达本楼层的链接
6#
显示全部楼层

你也可以把原来的卸载掉重新装一下

点赞 评论 引用 举报

JeffDing

发帖: 33粉丝: 21

发消息 + 关注

发表于2021年01月05日 21:08:20
直达本楼层的链接
7#
显示全部楼层

有没有尝试过卸载再重新安装

点赞 评论 引用 举报

三川

发帖: 1粉丝: 0

发消息 + 关注

发表于2021年01月06日 08:14:01
直达本楼层的链接
8#
显示全部楼层

我用pip uninstall mxnet-model-server卸载,然后重装了好多遍了,还是没有解决!

点赞 评论 引用 举报

咔吧咔吧

发帖: 31粉丝: 11

发消息 + 关注

发表于2021年01月06日 09:05:39
直达本楼层的链接
9#
显示全部楼层

安装mxnet-model-server=1.0版本不出现这个问题,但是安装modelarts sdk要求版本是0.3!

是指如果用1.0版本就没问题,用0.3版本就会出问题,答案是ma sdk 与1.0版本不兼容是吗?

点赞 评论 引用 举报

三川

发帖: 1粉丝: 0

发消息 + 关注

更新于2021年01月06日 11:37:33
直达本楼层的链接
10#
显示全部楼层

安装mxnet-model-server==0.3后,服务根本启动不起来,但1.5版本的服务可以启动,但1.5版本的与sdk不兼容。

评论
咔吧咔吧 2021-1-6 11:36 评论

可以试一试安装在一个指定目录下

... 查看全部
点赞 评论 引用 举报

三川

发帖: 1粉丝: 0

发消息 + 关注

发表于2021年01月21日 09:01:57
直达本楼层的链接
11#
显示全部楼层

请问mxnet在arm架构下,还需要交叉编译?如果需要如何交叉编译?

点赞 评论 引用 举报

游客

富文本
Markdown
您需要登录后才可以回帖 登录 | 立即注册